Resolved: Upgrade issue Thruk Plugin Reporting [ 2.24 > 2.28 ]

(tom) #1

Hi there,

this morning I tried to upgrade our neamon / thruk infrastrukture to the latest stable versions.
I use therefore the apt source from labs.consol.de.

All packages could be loaded except the thruk-plugin-reporting_2.28_ubuntu16.04_amd64.deb package.
There I got the error message

E: Failed to fetch http://labs.consol.de/repo/stable/ubuntu/dists/xenial/main/binary-amd64/thruk-plugin-reporting_2.28_ubuntu16.04_amd64.deb  Hash Sum mismatch

Does anybody have had the same issue? How can I fix it?
If I download the package manually from the consol server and create the hash values with sha512sum and compare it with the values from the packages list from the consol server I found out that there is a mismatch in all hash values. Could it be that the hash values of the consol server is not correct?

Any help would be nice.

Thanks.

(Sven Nierlein) #2

i will have a look at the repository files tomorrow, might be a broken sync script somewhere.

(tom) #3

@sni, that would be great. Waiting for your feedback.

(Sven Nierlein) #4

could you try again, there had been the 2.30 release since then which updates the repository anyway.

(tom) #5

Hi Sven,

I can confirm that the repos now correct and working fine.

Thanks.